<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <LangVersion>12</LangVersion>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="coverlet.msbuild" Version="6.0.0">
        <PrivateAssets>all</PrivateAssets>
        <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      </PackageReference>
      <PackageReference Include="Microsoft.CodeAnalysis.CSharp" Version="4.8.0" />
      <PackageReference Include="MimeTypeMapOfficial" Version="1.0.17" />
      <PackageReference Include="Optional" Version="4.0.0" />
      <PackageReference Include="Serilog" Version="3.1.1" />
      <PackageReference Include="Serilog.AspNetCore" Version="8.0.0" />
      <PackageReference Include="Serilog.Enrichers.ShortTypeName" Version="1.1.0" />
      <PackageReference Include="Serilog.Enrichers.WithCaller" Version="1.2.0" />
      <PackageReference Include="Serilog.Expressions" Version="4.0.0" />
      <PackageReference Include="Serilog.Settings.Configuration" Version="8.0.0" />
      <PackageReference Include="Serilog.Sinks.Console" Version="5.0.1" />
      <PackageReference Include="SonarAnalyzer.CSharp" Version="9.14.0.81108">
        <PrivateAssets>all</PrivateAssets>
        <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      </PackageReference>
      <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="storage" />
    </ItemGroup>

</Project>
